body,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Roboto", sans-serif;
}

body,
html {
  height: 100%;
  color: #fff;
  line-height: 1.8;
  background-color: rgb(27, 27, 27);
}

.w3-top {
  position: fixed;
  top: 0;
  z-index: 1000;
  background: transparent;
  transition: 0.3s background;
}

.w3-wide {
  letter-spacing: 10px;
}

.w3-hover-opacity {
  cursor: pointer;
}

.w3-card-4 {
  margin: 20px;
}

a {
  color: #333;
  text-decoration: none;
}

figcaption>a {
  margin-top: 8px;
  color: #fff;
}

.hover-underline-animation,
.hover-underline-animation-menu-icon {
  display: inline-block;
  position: relative;
  color: #fff;
  text-align: center;
}

.hover-underline-animation::after {
  content: '';
  position: absolute;
  width: 16%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 42%;
  text-align: center;
  background-color: #f9ce68;
  transform-origin: bottom right;
  transition: transform 0.25s
}

.hover-underline-animation-menu-icon::after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 4px;
  left: 0;
  text-align: center;
  background-color: #f9ce68;
  transform-origin: bottom right;
  transition: transform 0.25s
}

.hover-underline-animation:hover::after,
.hover-underline-animation-menu-icon:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

nav {
  display: flex;
  height: 80px;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  color: #fff;
}

.nav-brand {
  display: flex;
  width: 100vw;
  font-size: 24px;
  height: 80px;
  padding: 0 1rem;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}

nav.scrolled {
  background: #1b1b1be8;
}

#hamburger-menu,
#close-menu {
  background-color: transparent;
  font-size: 36px;
  border: 0;
  z-index: 20;
  cursor: pointer;
  color: #f9ce68;
}

#headline {
  text-align: center;
}

.w3-display-bottommiddle {
  bottom: 20rem;
  width: 54%
}

.roboto-bold {
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  font-style: normal;
}

#my-sidebar {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  font-size: 40px;
  color: #f9ce68;
  background-color: rgb(27, 27, 27);
  transition: width 0.9s;
  position: relative;
  z-index: 20;
}

#hero {
  position: relative;
  display: flex;
  background-color: rgb(27, 27, 27);
  min-height: 100vh;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  padding-top: 80px;
}

#hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: -1;
}

#hero-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  z-index: 1;
}

.hero-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: 2;
}

.hero-content {
  position: relative;
  z-index: 3;
  color: white;
}

#hero-text {
  height: auto;
  margin: 0 auto;
  display: block;
  text-align: center;
  width: 60%;
}

#hero-img {
  width: 300px;
  height: auto;
  display: block;
  margin: 30px auto;
}

#portfolio-section {
  margin: 2rem auto;
  min-height: 100vh;
  background-color: rgb(27, 27, 27);
  width: 80%;
}

#portfolio-text {
  font-size: 18px;
  height: auto;
  margin: 0 auto 24px;
  display: block;
  text-align: center;
}

#portfolio-bar {
  display: flex;
  width: 100%;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  background-color: #f9ce68;
  color: #1b1b1b;
  text-align: center;
}

#portfolio-bar {
  display: flex;
  flex-direction: column;
  width: 100%;
  background: #f9ce68;
  color: #1b1b1b;
}

/* HEADER (always visible) */

#portfolio-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
  font-weight: bold;
  cursor: pointer;
}

/* MENU */

#portfolio-menu {
  display: none;
  flex-direction: column;
}

#portfolio-menu button {
  border: none;
  background: #f9ce68;
  padding: 14px;
  text-align: center;
  font-size: 16px;
  cursor: pointer;
}

#portfolio-menu button:hover {
  background: #e8bb54;
}

#portfolio-bar>.w3-button:hover {
  background-color: #333 !important;
  color: #fff !important;
}

#portfolio {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 20px;
}

.card {
  background: #111;
  padding: 15px;
  border-radius: 10px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card:hover {
  transform: scale(1.15);
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
}

.card img {
  width: 100%;
  border-radius: 8px;
}

.card-img {
  width: 100%;
  height: 270px;
  object-fit: contain;
}

#arrow {
  transition: transform 0.25s;
}

.show-link {
  display: inline-block;
  margin-top: 10px;
  padding: 8px 12px;
  background-color: #f9ce68;
  color: #1b1b1b;
  border-radius: 4px;
  text-decoration: none;
  transition: background-color 0.3s;
}

.show-link:hover {
  background-color: #1b1b1b;
  color: #ffffff;
}

#contact-us-section {
  width: 80%;
  min-height: 60vh;
  margin: 8rem auto;
}

#linkedin-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;
}

#linkedin-container img {
  border-radius: 50%;
  margin: 8px;
}

#linkedin-container>a {
  color: #f9ce68;
}

#linkedin-text {
  font-size: 18px;
  margin-top: 8px;
  text-align: center;
  color: #f9ce68;
}

#contact-us-text-header {
  text-align: center;
  width: 10rem;
  margin-left: auto;
  margin-right: auto;
  border-bottom: 4px #f9ce68 solid;
}

.contact-input {
  padding: 8px;
  display: block;
  border: none;
  border-bottom: 1px solid #ccc;
  width: 99%;
  background-color: rgb(27, 27, 27);
  color: rgb(255, 255, 255);
}

.contact-input:focus,
.contact-input:focus-visible {
  outline: none;
  border-bottom: 2px solid #f9ce68;
}

#contact-form legend {
  color: #f9ce68;
  font-size: x-large;
}

#contact-btn {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: 60px;
  margin: 16px 0;
  padding: 8px 16px;
  text-align: center;
  cursor: pointer;
  border: none;
  background-color: #f9ce68;
  color: #1b1b1b;
  font-size: 22px;
}

#contact-btn:hover {
  background-color: #1b1b1b;
  color: #ffffff;
  border: 1px solid #eee;
}

#form-messages {
  margin-top: 16px;
  text-align: center;
}

/* ======================================================================================
Footer
========================================================================================= */
footer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: rgb(27, 27, 27);
  color: #fff;
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.12);
  box-sizing: border-box;
  width: 100%;
  text-align: left;
  padding: 3rem 2rem 1rem;
}

.footer-center {
  text-align: center;
}

#footer-title {
  display: inline;
  margin-right: 1em;
}

footer a {
  color: #fff;
}

#socials a {
  text-decoration: none;
  margin: 0 0.5rem;
}

#privacy h3 {
  margin-top: 0;
  padding: 1rem 1rem 0.5rem;
  font-size: 22px;
}

@media(min-width:768px) {

  #portfolio-bar {
    flex-direction: row;
    height: 68px;
    align-items: center;
  }

  #portfolio-header {
    display: none;
  }

  #portfolio-menu {
    display: flex !important;
    flex-direction: row;
  }

  #portfolio-menu button {
    padding: 0 18px;
    height: 68px;
  }
}

@media(max-width: 767px) {

  #hero-section {
    width: 96%;
    margin: 0 auto;
  }

  #hero-text {
    text-align: justify;
    width: 90%;
  }

  #portfolio-section {
    width: 90%;
  }

  #portfolio-text {
    text-align: justify;
    width: 90%;
  }

  footer {
    flex-direction: column;
  }

  footer h2,
  p {
    text-align: center;
  }

  #socials {
    text-align: center;
  }
}